---
openraven:
  app:
    v1:
      cloud-ingestion:
        enable-local-account-discovery: false
spring:
  config:
    activate:
      on-profile: saas
---
openraven:
  app:
    v1:
      scheduling:
        exit-after-first-run: true
        run-on-start: true
spring:
  config:
    activate:
      on-profile: cronJob
---
spring:
  main:
    log-startup-info: false
  kafka:
    bootstrap-servers:
      - kafka.kafka.svc.cluster.local:9092
  config:
    activate:
      on-profile: prod
  cloud:
    zookeeper:
      connect-string: "kafka-zookeeper.kafka.svc.cluster.local:2181"
      enabled: true
      config:
        enabled: false
openraven:
  app:
    v1:
      eni-discovery: false
      cross-account:
        project-ids-url: "http://cross-account.ui.svc.cluster.local/accounts/cross-account/gcp/projects"
---
spring:
  config:
    activate:
      on-profile: azure
openraven:
  app:
    v1:
      cross-account:
        subscriptions-url: "http://cross-account.ui.svc.cluster.local/accounts/cross-account/azure/subscriptions"
---
spring:
  datasource:
    url: jdbc:postgresql://localhost/orvn
    username: root
    password: sekrit
  kafka:
    bootstrap-servers:
      - localhost:9092
    template:
      default-topic: DISCOVERED_MAGPIE_AWS_ENTITIES
  config:
    activate:
      on-profile: local
openraven:
  app:
    v1:
      scheduling:
        cron: "0 0 0 1 1 *"
        configPath: "openraven/app/v1/scheduling/cron"
        runOnStart: true
        exit-after-first-run: true
      kafka:
        consumer:
          concurrency: 1
          persistenceBatchSize: 10000
          group: AWS-CONSUMERS
          topic: DISCOVERED_MAGPIE_AWS_ENTITIES
        dead-letter:
          topic: DEADLETTER_MAGPIE_AWS_ENTITIES
        splunk-consumer:
          concurrency: 1
          persistenceBatchSize: 10000
          group: AWS-CONSUMERS-SPLUNK
          topic: DISCOVERED_MAGPIE_AWS_ENTITIES
      gcp-kafka:
        consumer:
          concurrency: 1
          persistenceBatchSize: 10000
          topic: DISCOVERED_MAGPIE_GCP_ENTITIES
        splunk-consumer:
          concurrency: 1
          persistenceBatchSize: 10000
          topic: DISCOVERED_MAGPIE_GCP_ENTITIES
      generic-asset-kafka:
        consumer:
          concurrency: 1
          persistenceBatchSize: 10000
          group: AWS-CONSUMERS
          topic: DISCOVERED_GENERIC_ASSETS
        splunk-consumer:
          concurrency: 1
          persistenceBatchSize: 10000
          group: AWS-CONSUMERS-SPLUNK
          topic: DISCOVERED_GENERIC_ASSETS
        splunk:
          event-endpoint-url: "https://localhost:8088/services/collector/event"
          auth-token: "909C2BA8-BE39-4DC4-9753-E8AC7FE678AF"
      cloud-ingestion:
        enable-local-account-discovery: true
        integration: AWS-api
        aws: us-west-2
      object-discovery:
        additional-type-detection:
          - binary/octet-stream
      cross-account:
        project-ids-url: "http://localhost:8190/accounts/cross-account/gcp/projects"
        subscriptions-url: "http://localhost:8190/accounts/cross-account/azure/subscriptions"
---
spring:
  task:
    execution:
      shutdown:
        await-termination: true
  flyway:
    enabled: false
  kafka:
    template:
      default-topic: DISCOVERED_MAGPIE_AWS_ENTITIES
  application:
    name: aws-discovery
    producer:
      key-serializer: org.apache.kafka.common.serialization.LongSerializer
      value-serializer: org.apache.kafka.common.serialization.StringSerializer
  datasource:
    hikari:
      maximum-pool-size: 1
  config:
    activate:
      on-profile: default
management:
  server:
    port: 8080
  endpoints:
    web:
      exposure:
        #does not include shutdown
        include: "*"
  endpoint:
    prometheus:
      enabled: true
openraven:
  app:
    v1:
      services:
        splunk:
          event-endpoint-url: "https://splunk-orvn-hwf-standalone-service.splunk.svc.cluster.local:8088/services/collector/event"
          auth-token: "909C2BA8-BE39-4DC4-9753-E8AC7FE678AF"
      generic-discovery:
        batch-size:
          my-drive: 500
          shared-drive: 100
          group: 100
          group-member: 100
      eni-discovery: true
      scheduling:
        cron: "0 0/30 * * * *"
        configPath: "openraven/app/v1/scheduling/cron"
        runOnStart: true
      kafka:
        consumer:
          concurrency: 5
          persistenceBatchSize: 10000
          group: AWS-CONSUMERS
          topic: DISCOVERED_MAGPIE_AWS_ENTITIES
        dead-letter:
          topic: DEADLETTER_AWS_ENTITIES
        splunk-consumer:
          concurrency: 1
          persistenceBatchSize: 10000
          group: AWS-CONSUMERS-SPLUNK
          topic: DISCOVERED_MAGPIE_AWS_ENTITIES
      gcp-kafka:
        consumer:
          concurrency: 5
          persistenceBatchSize: 10000
          topic: DISCOVERED_MAGPIE_GCP_ENTITIES
        splunk-consumer:
          concurrency: 1
          persistenceBatchSize: 10000
          topic: DISCOVERED_MAGPIE_GCP_ENTITIES
      azure-kafka:
        consumer:
          concurrency: 5
          persistenceBatchSize: 10000
          topic: DISCOVERED_MAGPIE_AZURE_ENTITIES
        splunk-consumer:
          concurrency: 1
          persistenceBatchSize: 10000
          topic: DISCOVERED_MAGPIE_AZURE_ENTITIES
      generic-asset-kafka:
        consumer:
          concurrency: 1
          persistenceBatchSize: 10000
          group: AWS-CONSUMERS
          topic: DISCOVERED_GENERIC_ASSETS
        splunk-consumer:
          concurrency: 1
          persistenceBatchSize: 10000
          group: AWS-CONSUMERS-SPLUNK
          topic: DISCOVERED_GENERIC_ASSETS
      cloud-ingestion:
        enable-local-account-discovery: true
        integration: AWS-api
        aws:
          - us-east-1
          - us-east-2
          - us-west-1
          - us-west-2
          - ca-central-1
          - eu-central-1
          - eu-north-1
          - eu-west-1
          - eu-west-2
          - eu-west-3
          - sa-east-1
          - ap-northeast-1
          - ap-northeast-2
          - ap-south-1
          - ap-southeast-1
          - ap-southeast-2
      object-discovery:
        additional-type-detection:
          - binary/octet-stream
---
spring:
  kafka:
    producer:
      key-serializer: org.apache.kafka.common.serialization.LongSerializer
      value-serializer: org.apache.kafka.common.serialization.StringSerializer
  config:
    activate:
      on-profile: producer
---
spring:
  kafka:
    consumer:
      group-id: AWS-CONSUMERS
      key-deserializer: org.apache.kafka.common.serialization.LongDeserializer
      value-deserializer: org.apache.kafka.common.serialization.StringDeserializer
      max-poll-records: 500
    listener:
      type: batch
  config:
    activate:
      on-profile: splunk_consumer
---
spring:
  kafka:
    consumer:
      group-id: AWS-CONSUMERS
      key-deserializer: org.apache.kafka.common.serialization.LongDeserializer
      value-deserializer: org.apache.kafka.common.serialization.StringDeserializer
      max-poll-records: 500
    listener:
      type: batch
  # injected via "envFrom:"
  #     url: jdbc:postgresql://...
  #     username:
  #     password:
  jpa:
    # this was switched off at Spring's advice, if nothing else to get rid of the WARN at startup
    open-in-view: false
    hibernate:
      ddl-auto: none
      naming:
        physical-strategy: org.hibernate.boot.model.naming.CamelCaseToUnderscoresNamingStrategy
    show-sql: false
    properties:
      hibernate:
        jdbc:
          batch_size: 50
          batch_versioned_data: true
        order_inserts: true
        order_updates: true
        generate_statistics: true
  config:
    activate:
      on-profile: consumer
  datasource:
    hikari:
      maximum-pool-size: 10
---
openraven:
  app:
    v1:
      ddr-kafka:
        splunk-consumer:
          group: DDR-CONSUMERS-SPLUNK
      services:
        ddr:
          event-endpoint-url: "https://splunk-orvn-hwf-standalone-service.splunk.svc.cluster.local:8088/services/collector/event"
          aws-auth-token: "88c888f6-0fc8-42ae-a50b-cc036b919b35"
          gcp-auth-token: "158239b7-b94e-4dc6-8a58-000be46d368c"
spring:
  config:
    activate:
      on-profile: ddr_splunk_consumer
  kafka:
    consumer:
      key-deserializer: org.apache.kafka.common.serialization.StringDeserializer
      value-deserializer: org.apache.kafka.common.serialization.StringDeserializer
      max-poll-records: 500
